@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
@namespace html url("http://www.w3.org/1999/xhtml");

searchbar {
  -moz-binding: url("chrome://browser/content/search/search.xml#searchbar");
}

tabbrowser {
  -moz-binding: url("chrome://browser/content/tabbrowser.xml#tabbrowser");
}

toolbar[printpreview="true"] {
  -moz-binding: url("chrome://global/content/printPreviewBindings.xml#printpreviewtoolbar");
}

/* ::::: location bar ::::: */
#urlbar {
  -moz-binding: url(chrome://browser/content/urlbarBindings.xml#urlbar);
}

#PopupAutoComplete {
  -moz-binding: url("chrome://browser/content/urlbarBindings.xml#browser-autocomplete-result-popup");
}

#PopupAutoCompleteRichResult {
  -moz-binding: url("chrome://browser/content/urlbarBindings.xml#urlbar-rich-result-popup");
}

#urlbar-throbber:not([busy="true"]),
#urlbar-throbber[busy="true"] + #page-proxy-favicon {
  display: none;
}

#feed-button > .button-box > .box-inherit > .button-text,
#feed-button > .button-box > .button-menu-dropmarker {
  display: none;
}

#urlbar[pageproxystate="invalid"] > #urlbar-icons > :not(#go-button) ,
#urlbar[pageproxystate="valid"] > #urlbar-icons > #go-button ,
#urlbar[empty="true"] > #urlbar-icons > #go-button {
  visibility: collapse;
}

#identity-box > hbox {
  max-width: 22em;
  min-width: 1px;
}

/* ::::: Unified Back-/Forward Button ::::: */
#back-forward-dropmarker > image ,
#back-forward-dropmarker > label {
  display: none;
}
.unified-nav-current {
  font-weight: bold;
}

menuitem.spell-suggestion {
  font-weight: bold;
}

#sidebar-box toolbarbutton.tabs-closebutton {
  -moz-user-focus: normal;
}

/* apply Fitts' law to the notification bar's close button */
window[sizemode="maximized"] #content .notification-inner {
  border-right: 0px !important;
}

/* Hide extension toolbars that neglected to set the proper class */
window[chromehidden~="location"][chromehidden~="toolbar"] toolbar:not(.chromeclass-menubar),
window[chromehidden~="toolbar"] toolbar:not(.toolbar-primary):not(.chromeclass-menubar) {
  display: none;
}

#navigator-toolbox ,
#status-bar ,
#mainPopupSet {
  min-width: 1px;
}

/* Identity UI */
#identity-popup-content-box.unknownIdentity > #identity-popup-connectedToLabel ,
#identity-popup-content-box.unknownIdentity > #identity-popup-runByLabel ,
#identity-popup-content-box.unknownIdentity > #identity-popup-content-host ,
#identity-popup-content-box.unknownIdentity > #identity-popup-content-owner ,
#identity-popup-content-box.verifiedIdentity > #identity-popup-connectedToLabel2 ,
#identity-popup-content-box.verifiedDomain > #identity-popup-connectedToLabel2 {
  display: none;
}

/* ::::: Fullscreen pseudo-toolbar ::::: */
#fullscr-toggler {
  display: none;
  min-height: 5px;
  height: 5px;
}

#navigator-toolbox[inFullscreen="true"] #fullscr-toggler {
  display: -moz-box;
}

/* Tab Previews */
#ctrlTab-panel {
  -moz-user-focus: normal;
}

.ctrlTab-thumbnail {
  -moz-binding: url("chrome://browser/content/browser-tabPreviews.xml#ctrlTab-thumbnail");
}

.ctrlTab-thumbnail:not([valid]) {
  visibility: hidden;
}

#ctrlTab-pages {
  display: block;
  text-align: center;
}
 
.ctrlTab-pagePointer {
  display: inline-block;
}
